Page MenuHomePhabricator

Set up 2x logo for Chinese Wikisouce
Closed, ResolvedPublic

Description

How should one set up HDlogo for wikisource?

Details

Related Gerrit Patches:
operations/mediawiki-config : masterAdd hd variations for zhwikiource project logo

Event Timeline

Viztor created this task.Aug 3 2019, 12:31 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 3 2019, 12:31 AM
Viztor added a comment.Aug 3 2019, 1:55 AM

I've uploaded the svg version of zh wikisource logo at commons

Viztor renamed this task from Set up 2x logo for Wikisouce to Set up 2x logo for Chinese Wikisouce.Aug 3 2019, 3:01 AM

Change 527773 had a related patch set uploaded (by Viztor; owner: Viztor):
[operations/mediawiki-config@master] Add hd variations for zhwikiource project logo

https://gerrit.wikimedia.org/r/527773

Viztor claimed this task.Aug 3 2019, 7:08 PM
94rain changed the task status from Open to Stalled.Aug 4 2019, 8:38 AM
94rain added a subscriber: 94rain.

@Viztor Thanks for filing the task and uploading the patch. Even though the wiki is inactive, you should at least have tried to gain consensus when requesting for changing the project logo as per https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes. Even though this change may not be controversial, you should have given an opportunity for objections. It appears that the discussion has only been open for a few hours (https://zh.wikisource.org/wiki/Wikisource:写字间#维基文库svg版本logo), one day after you created this task.

On hold for a few days to gain community consensus as standard procedures for site configuration changes.

Viztor added a comment.Aug 4 2019, 8:59 AM

@Viztor Thanks for filing the task and uploading the patch. Even though the wiki is inactive, you should at least have tried to gain consensus when requesting for changing the project logo as per https://meta.wikimedia.org/wiki/Requesting_wiki_configuration_changes. Even though this change may not be controversial, you should have given an opportunity for objections. It appears that the discussion has only been open for a few hours (https://zh.wikisource.org/wiki/Wikisource:写字间#维基文库svg版本logo), one day after you created this task.
On hold for a few days to gain community consensus as standard procedures for site configuration changes.

this issue is irrelevant to community consensus per that it is part of technical changes needed to be applied on all wikis (see parent task), not a config change per se. The part where it could need community input is the change of current logo, which have been proposed due to non-free-font used in original logo.

Aklapper changed the task status from Stalled to Open.Aug 4 2019, 10:15 AM
Aklapper removed a project: Wikisource.

@94rain: I cannot see why technically fixing a file while not changing what's displayed in that file to users should need community consensus...

Unrelated to Wikisource (see its description) hence removing tag.

@94rain: I cannot see why technically fixing a file while not changing what's displayed in that file to users should need community consensus...

I'm not an expert on Chinese characters, but to me, the text looks different in https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/+/527773/6/static/images/project-logos/zhwikisource.png. Just HD logo would be fine, but this looks like a logo change.

Unrelated to Wikisource (see its description) hence removing tag.

Viztor added a comment.EditedAug 4 2019, 5:13 PM

@94rain: I cannot see why technically fixing a file while not changing what's displayed in that file to users should need community consensus...

I'm not an expert on Chinese characters, but to me, the text looks different in https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/+/527773/6/static/images/project-logos/zhwikisource.png. Just HD logo would be fine, but this looks like a logo change.

Unrelated to Wikisource (see its description) hence removing tag.

The intention was not to change the font, however, during the process of vectorizing the logo, it was discovered that the font used in the original logo is not free and no free alternative is available, which is why I requested comment on a logo change. I'm not exactly sure how to proceed, the current logo simply can not be used due to legal implication.

Change 527773 merged by jenkins-bot:
[operations/mediawiki-config@master] Add hd variations for zhwikiource project logo

https://gerrit.wikimedia.org/r/527773

Mentioned in SAL (#wikimedia-operations) [2019-08-08T11:28:21Z] <urbanecm@deploy1001> Synchronized static/images/project-logos/: SWAT: be886ad: Add hd variations for zhwikiource project logo (T229715) (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2019-08-08T11:30:11Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: be886ad: Add hd variations for zhwikiource project logo (T229715) (duration: 00m 55s)

Urbanecm closed this task as Resolved.Aug 8 2019, 11:31 AM

Deployed.

wmr added a subscriber: wmr.EditedAug 9 2019, 11:34 AM

Deployed.

There are still some Logo versions in the local page. It's not been decided yet.

wmr reopened this task as Open.Aug 9 2019, 12:37 PM
Urbanecm closed this task as Resolved.Aug 28 2019, 2:07 AM
Urbanecm moved this task from Site configuration to Closed on the Chinese-Sites board.

Deployed.

There are still some Logo versions in the local page. It's not been decided yet.

This task was about setting up 2x logo for your project, it's a technical thing that shouldn't have impact on your project. if you want the logo to be changed, create a new task.